/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id:
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.bc.filetransfer;

import java.io.File;
import java.util.HashMap;
import java.util.Map;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.bc.AbstractBindingComponent;

/**
 * @author rnaudin
 * 
 */
public class FileTransferComponent extends AbstractBindingComponent {
    private Map<String, File> transferedFileMap;

    public FileTransferComponent() {
        super();
        this.transferedFileMap = new HashMap<String, File>();
    }

    public void addTransferedFile(Exchange exchange, File file) {
        this.transferedFileMap.put(exchange.getExchangeId(), file);
    }

    public File getTransferedFile(Exchange exchange) {
        return this.transferedFileMap.remove(exchange.getExchangeId());
    }
}
